// Loads the page.

function Load()
{
	var images = new Array();
	var preloader = null;
	
	// Add any preload images here.
	pushOnToArray(images, "images/top.nav.home.jpg");
	pushOnToArray(images, "images/top.nav.home.ro.jpg");
	
	
	// Perform the preload.
	for (var i = 0; i < images.length; i++)
	{
		preloader = new Image();
		preloader.src = images[i];
	}
	
	
}

// Push an element into an array.
function pushOnToArray(array, value)
{
	array[array.length] = value;
}

// Perform a rollover.
function Rollover(imageName, source)
{
	// Perform the rollover.
	if (document.images[imageName]) 
	{
		document.images[imageName].src = source;
	}
	
	// Return true;
	return true;
}

// Highlight Section
function Highlight(imageName, source)
{
	// Perform the highlight.
	if (document.images[imageName]) 
	{
		document.images[imageName].src = source;
		document.images[imageName].onmouseout = null;
	}
	
	// Return true;
	return true;
}


function openAWindow( pageToLoad, winName, width, height, center) 
{
	closechild();
    xposition=0; yposition=0;
    if ((parseInt(navigator.appVersion) >= 4 ) && (center)){
        xposition = (screen.width - width) / 2;
        yposition = (screen.height - height) / 2;
    }
    args = "width=" + width + "," 
    + "height=" + height + "," 
    + "location=0," 
    + "menubar=0,"
    + "resizable=1,"
    + "scrollbars=1,"
    + "status=0," 
    + "titlebar=0,"
    + "toolbar=0,"
    + "hotkeys=0,"
    + "screenx=" + xposition + ","  //NN Only
    + "screeny=" + yposition + ","  //NN Only
    + "left=" + xposition + ","     //IE Only
    + "top=" + yposition;           //IE Only

    PopupWindow = window.open( pageToLoad,winName,args );
}


var PopupWindow = '';
function closechild() 
{ if (PopupWindow && PopupWindow.open && !PopupWindow.closed) { PopupWindow.close(); } }
